=== debian/changelog ===
debusine (0.1.0) experimental; urgency=medium

  * Initial Release.

  [ Raphaël Hertzog ]
  * Made plans and came up with the design.

  [ Carles Pina i Estany ]
  * Implemented the initial features. We now have:
    - A server that can drives many workers over a worker-initiated websocket
      connection. The worker use the server's API to get work requests
      and provide results.
    - An Sbuild task that workers can run

 -- Raphaël Hertzog <raphael@freexian.com>  Fri, 09 Sep 2022 15:12:54 +0200
