=== debian/tests/control ===
Tests: unit-tests-tasks
Depends: python3-debusine
Restrictions: allow-stderr

Tests: unit-tests-client
Depends: debusine-client
Restrictions: allow-stderr

Tests: unit-tests-worker
Depends: debusine-worker
Restrictions: allow-stderr

Tests: unit-tests-server
Depends: debusine-server, postgresql, redis-server
Restrictions: allow-stderr, needs-root

Tests: integration-tests-task-sbuild
Depends: debusine-client, debusine-server, debusine-worker, postgresql, redis-server, schroot, debootstrap, sbuild, sudo, nginx
Restrictions: allow-stderr, needs-root, isolation-container

Tests: integration-tests-generic
Depends: debusine-client, debusine-server, debusine-worker, postgresql, redis-server, sudo, nginx
Restrictions: allow-stderr, needs-root

Test-Command: make -C docs/ linkcheck
Depends: debusine-doc, python3-sphinx, python3-debusine-server
Restrictions: allow-stderr, needs-internet
