=== debian/changelog ===
debusine (0.2.1) unstable; urgency=medium

  * New release, mainly bug fixes.
  * Remove "Recommends: fakemachine"; debos doesn't require it.
  * Install systemd units with dh_installsystemd.
  * Ensure that the worker runs with the kvm group.
  * Remove worker dependency on libwww-perl.
  * Limit simplesystemimagebuild autopkgtest to amd64 for now.

 -- Colin Watson <cjwatson@debian.org>  Thu, 07 Mar 2024 12:02:42 +0000

debusine (0.2.0) unstable; urgency=medium

  * New release (see release-history document for details).  Highlights:
    - Added artifact file storage system.
    - Debian developers can use Debusine to run various QA tasks against
      packages they are preparing.  Those tasks can be scheduled through the
      API or through the web UI.
  * Note that it is not possible to directly migrate a database installed
    using 0.1.0.  Migrations from this release to future releases will be
    possible.

 -- Colin Watson <cjwatson@debian.org>  Thu, 29 Feb 2024 12:39:05 +0000
