=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
+	bin/quick-setup.sh create_directories # so data/logs exist, needed during the documentation building step
 	# LANG settings to work around a bug in Python: https://github.com/python/cpython/issues/93251
 	# The ticket talks about:
 	# -socket.getfqdn(): this happens in Debusine's code in ./debusine/project/settings/defaults.py
@@ -28,6 +29,7 @@
 	
 	# Copy python3-debusine-server settings from the distributed ones into
 	# /etc/debusine/server . Create a link from selected.py to production.py
+	set -e; \
 	CONFIG_SRC_DIR=`echo debian/tmp/usr/lib/python3*/dist-packages/debusine/project/settings`; \
 	CONFIG_DEST_PACKAGED_DIR=/etc/debusine/server; \
 	CONFIG_DEST_DIR=debian/tmp/$$CONFIG_DEST_PACKAGED_DIR; \
@@ -42,3 +44,20 @@
 	dh_python3 --package=python3-debusine-server --requires=debusine.egg-info/requires.txt --depends-section=server
 	dh_python3 --package=python3-debusine --requires=debusine.egg-info/requires.txt
 	dh_python3 --no-package=python3-debusine --no-package=python3-debusine-server
+
+override_dh_installsystemd:
+	dh_installsystemd
+	dh_installsystemd --package=debusine-server \
+		--name=debusine-server-celery
+	dh_installsystemd --package=debusine-server \
+		--name=debusine-server-artifacts-cleanup \
+		debusine-server-artifacts-cleanup.timer
+	dh_installsystemd --package=debusine-server --no-start \
+		--name=debusine-server-artifacts-cleanup \
+		debusine-server-artifacts-cleanup.service
+	dh_installsystemd --package=debusine-server \
+		--name=debusine-server-monthly-cleanup \
+		debusine-server-monthly-cleanup.timer
+	dh_installsystemd --package=debusine-server --no-start \
+		--name=debusine-server-monthly-cleanup \
+		debusine-server-monthly-cleanup.service
