=== debian/tests/control ===
Tests: unit-tests-tasks
Depends:
 python3-debusine,
Restrictions: allow-stderr

Tests: unit-tests-client
Depends:
 debusine-client,
Restrictions: allow-stderr

Tests: unit-tests-worker
Depends:
 debusine-worker,
Restrictions: allow-stderr

Tests: unit-tests-server
Depends:
 debusine-server,
 postgresql,
 redis-server,
Restrictions: allow-stderr, needs-root

Tests: integration-tests-tasks-mmdebstrap-autopkgtest-sbuild-lintian-piuparts-blhc
Depends:
 autopkgtest,
 debootstrap,
 debusine-client,
 debusine-server,
 debusine-worker,
 mmdebstrap,
 nginx,
 postgresql,
 redis-server,
 sbuild,
 schroot,
 sudo,
 uidmap,
Restrictions: allow-stderr, needs-root, isolation-container, skippable, needs-internet

Tests: integration-tests-task-simplesystemimagebuild
Architecture: amd64
Depends:
 debos,
 debusine-client,
 debusine-server,
 debusine-worker,
 dosfstools,
 fdisk,
 linux-image-generic,
 nginx,
 parted,
 postgresql,
 qemu-utils,
 redis-server,
 sudo,
 xz-utils,
Restrictions: allow-stderr, needs-root, isolation-container, needs-internet

Tests: integration-tests-generic
Depends:
 debusine-client,
 debusine-server,
 debusine-worker,
 nginx,
 postgresql,
 redis-server,
 sudo,
Restrictions: allow-stderr, needs-root
