## debusine 0.4.1~bpo12+1

=== debian/changelog ===
debusine (0.4.1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Colin Watson <cjwatson@debian.org>  Mon, 29 Jul 2024 11:51:50 +0100

debusine (0.4.1) unstable; urgency=medium

  * New release.
    - Declare that we require Python 3.11 in Debian packaging (closes:
      #1074254).

 -- Colin Watson <cjwatson@debian.org>  Fri, 28 Jun 2024 09:55:46 +0100

debusine (0.4.0.1) unstable; urgency=medium

  * Reupload 0.4.0 with binaries.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Jun 2024 12:49:28 +0100

debusine (0.4.0) unstable; urgency=medium

  * New release.  Highlights:
    - Allow retrying work requests.
    - Binary-only NMU support for sbuild.
    - Add a signing service.
    - Fix some integration test failures.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Jun 2024 11:32:34 +0100

debusine (0.3.2) unstable; urgency=medium

  * New release, mainly to fix autopkgtest failures on slow architectures.

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Jun 2024 08:38:43 +0100

debusine (0.3.1) unstable; urgency=medium

  * New release, mainly bug-fixes to 0.3.0 (see release-history document for
    details).

 -- Colin Watson <cjwatson@debian.org>  Tue, 28 May 2024 11:23:48 +0100

debusine (0.3.0) unstable; urgency=medium

  * New release (see release-history document for details).  Highlights:
    - The focus of this milestone is on automatic orchestration of building
      blocks, to allow tasks to be scheduled for all items of a collection.
      For example, Debusine can now automatically schedule Lintian tasks for
      all packages in a suite.
    - Added collections and workflows.
    - Added a new lookup syntax, taking advantage of collections.
  * Run integration tests using piuparts from trixie rather than unstable.
  * Mark debusine-doc as Multi-Arch: foreign.

 -- Colin Watson <cjwatson@debian.org>  Thu, 23 May 2024 08:37:15 +0100
