## debusine 0.4.1

=== Makefile ===
--- 
+++ 
@@ -11,15 +11,19 @@
 
 # Quick sanity check to run before each commit
 check:
-	tox -e pyupgrade,black,flake8,codespell,mypy,shellcheck
+	tox -e pyupgrade,black,djlint,flake8,codespell,mypy,shellcheck
 
 # Reformat the code and show changes made by black
-black:
+format black:
 	tox -e format
+
+djlint:
+	tox -e djlint
 
 coverage:
 	python3 -m coverage erase
-	$(PYTHON_ENVIRONMENT) python3 -m coverage run -p ./manage.py test debusine.db debusine.server debusine.web debusine.project debusine.test $(VERBOSE_OPTION_DJANGO_TESTS)
+	$(PYTHON_ENVIRONMENT) python3 -m coverage run -p ./manage.py test debusine.db debusine.django debusine.server debusine.web debusine.project debusine.test $(VERBOSE_OPTION_DJANGO_TESTS)
+	$(PYTHON_ENVIRONMENT) DJANGO_SETTINGS_MODULE=debusine.signing.settings python3 -m coverage run -p ./manage.py test debusine.signing $(VERBOSE_OPTION_DJANGO_TESTS)
 	$(PYTHON_ENVIRONMENT) python3 -m coverage run -p -m unittest discover debusine.artifacts $(VERBOSE_OPTION_TESTS)
 	$(PYTHON_ENVIRONMENT) python3 -m coverage run -p -m unittest discover debusine.client $(VERBOSE_OPTION_TESTS)
 	$(PYTHON_ENVIRONMENT) python3 -m coverage run -p -m unittest discover debusine.tasks $(VERBOSE_OPTION_TESTS)
@@ -27,5 +31,6 @@
 	$(PYTHON_ENVIRONMENT) python3 -m coverage run -p -m unittest discover debusine.utils $(VERBOSE_OPTION_TESTS)
 	python3 -m coverage combine
 	python3 -m coverage html
+	python3 -m coverage report -m | sed -e 's/^TOTAL         /TOTAL COVERAGE/'
 
-.PHONY: check black coverage
+.PHONY: check format black djlint coverage
