=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  dh-sequence-sphinxdoc,
  graphviz,
  libjs-jquery-isonscreen,
  libjs-jquery-tablesorter,
  libjs-jquery-throttle-debounce,
+ openssl,
  postgresql,
  pybuild-plugin-pyproject,
  python3,
@@ -28,7 +29,10 @@
  python3-doc,
  python3-email-validator,
  python3-fasteners,
+ python3-jsonpath-rw,
  python3-jwcrypto,
+ python3-lxml,
+ python3-nacl,
  python3-psutil,
  python3-psycopg2,
  python3-pydantic,
@@ -44,11 +48,13 @@
  python3-tenacity,
  python3-yaml,
  redis-server,
+ sbsigntool [amd64 arm64 armhf i386 riscv64],
 Standards-Version: 4.6.2
 Homepage: https://salsa.debian.org/freexian-team/debusine
 Vcs-Browser: https://salsa.debian.org/freexian-team/debusine
 Vcs-Git: https://salsa.debian.org/freexian-team/debusine.git
 Rules-Requires-Root: no
+X-Python3-Version: >= 3.11
 
 Package: python3-debusine
 Architecture: all
@@ -67,6 +73,7 @@
 Section: python
 Depends:
  python3-debusine (= ${source:Version}),
+ python3-debusine-signing (= ${source:Version}),
  python3-django (>= 2:3.2),
  ${misc:Depends},
  ${python3:Depends},
@@ -75,6 +82,24 @@
  Debian-based distribution.
  .
  This package contains the server related part of the Python libraries.
+
+Package: python3-debusine-signing
+Architecture: all
+Section: python
+Depends:
+ python3-debusine (= ${source:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+Breaks:
+ python3-debusine-server (<< 0.3.3~)
+Replaces:
+ python3-debusine-server (<< 0.3.3~)
+Description: Signing worker part of the Python library for debusine
+ Debusine is a general purpose software factory tailored to the needs of a
+ Debian-based distribution.
+ .
+ This package contains the signing worker related part of the Python
+ libraries.
 
 Package: debusine-server
 Architecture: all
@@ -118,6 +143,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
+ arch-test,
  autopkgtest,
  debootstrap,
  debos,
@@ -141,8 +167,25 @@
  This package provides the services to run a debusine worker executing work
  requests sent by a debusine server.
 
+Package: debusine-signing
+Architecture: all
+Depends:
+ openssl,
+ python3-debusine-signing (= ${source:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+Recommends:
+ sbsigntool,
+Description: Signing service for debusine
+ Debusine is a general purpose software factory tailored to the needs of a
+ Debian-based distribution.
+ .
+ This package provides a service that holds private keys and uses them to
+ sign data on behalf of debusine.
+
 Package: debusine-doc
 Architecture: all
+Multi-Arch: foreign
 Built-Using:
  ${sphinxdoc:Built-Using},
 Section: doc
