=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,9 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	bin/quick-setup.sh create_directories # so data/logs exist, needed during the documentation building step
 	# LANG settings to work around a bug in Python: https://github.com/python/cpython/issues/93251
 	# The ticket talks about:
@@ -24,11 +23,10 @@
 	# space.
 	# dh_auto_test -- --system=custom --test-args="make coverage"
 
-override_dh_auto_install:
-	dh_auto_install
-	
-	# Copy python3-debusine-server settings from the distributed ones into
-	# /etc/debusine/server . Create a link from selected.py to production.py
+execute_after_dh_auto_install:
+	# Copy python3-debusine-{server,signing} settings from the
+	# distributed ones into /etc/debusine/{server,signing}. Create a
+	# link from selected.py to production.py.
 	set -e; \
 	CONFIG_SRC_DIR=`echo debian/tmp/usr/lib/python3*/dist-packages/debusine/project/settings`; \
 	CONFIG_DEST_PACKAGED_DIR=/etc/debusine/server; \
@@ -40,15 +38,30 @@
 	ln -s "$$CONFIG_DEST_PACKAGED_DIR" "$$CONFIG_SRC_DIR"; \
 	ln -s --relative "$$CONFIG_DEST_DIR/production.py" "$$CONFIG_DEST_DIR/selected.py"
 
+	set -e; \
+	CONFIG_SRC_DIR=`echo debian/tmp/usr/lib/python3*/dist-packages/debusine/signing/settings`; \
+	CONFIG_DEST_PACKAGED_DIR=/etc/debusine/signing; \
+	CONFIG_DEST_DIR=debian/tmp/$$CONFIG_DEST_PACKAGED_DIR; \
+	mkdir -p "$$CONFIG_DEST_DIR"; \
+	rm "$$CONFIG_SRC_DIR/selected.py"; \
+	mv "$$CONFIG_SRC_DIR/"* "$$CONFIG_DEST_DIR"; \
+	rmdir "$$CONFIG_SRC_DIR"; \
+	ln -s "$$CONFIG_DEST_PACKAGED_DIR" "$$CONFIG_SRC_DIR"; \
+	ln -s --relative "$$CONFIG_DEST_DIR/production.py" "$$CONFIG_DEST_DIR/selected.py"
+
 override_dh_python3:
 	dh_python3 --package=python3-debusine-server --requires=debusine.egg-info/requires.txt --depends-section=server
+	dh_python3 --package=python3-debusine-signing --requires=debusine.egg-info/requires.txt --depends-section=signing
 	dh_python3 --package=python3-debusine --requires=debusine.egg-info/requires.txt
-	dh_python3 --no-package=python3-debusine --no-package=python3-debusine-server
+	dh_python3 --no-package=python3-debusine --no-package=python3-debusine-server --no-package=python3-debusine-signing
 
-override_dh_installsystemd:
-	dh_installsystemd
+execute_after_dh_installsystemd:
 	dh_installsystemd --package=debusine-server \
 		--name=debusine-server-celery
+	dh_installsystemd --package=debusine-server \
+		--name=debusine-server-periodic-tasks
+	dh_installsystemd --package=debusine-server \
+		--name=debusine-server-scheduler
 	dh_installsystemd --package=debusine-server \
 		--name=debusine-server-artifacts-cleanup \
 		debusine-server-artifacts-cleanup.timer
