=== debian/tests/control ===
--- 
+++ 
@@ -17,12 +17,21 @@
 Depends:
  debusine-server,
  postgresql,
+ python3-lxml,
  redis-server,
+Restrictions: allow-stderr, needs-root
+
+Tests: unit-tests-signing
+Depends:
+ debusine-signing,
+ postgresql,
+ python3-cryptography,
 Restrictions: allow-stderr, needs-root
 
 Tests: integration-tests-tasks-mmdebstrap-autopkgtest-sbuild-lintian-piuparts-blhc
 Depends:
  autopkgtest,
+ ca-certificates,
  debootstrap,
  debusine-client,
  debusine-server,
@@ -33,6 +42,7 @@
  redis-server,
  sbuild,
  schroot,
+ ssl-cert,
  sudo,
  uidmap,
 Restrictions: allow-stderr, needs-root, isolation-container, skippable, needs-internet
@@ -40,6 +50,7 @@
 Tests: integration-tests-task-simplesystemimagebuild
 Architecture: amd64
 Depends:
+ ca-certificates,
  debos,
  debusine-client,
  debusine-server,
@@ -52,17 +63,34 @@
  postgresql,
  qemu-utils,
  redis-server,
+ ssl-cert,
  sudo,
  xz-utils,
 Restrictions: allow-stderr, needs-root, isolation-container, needs-internet
 
+Tests: integration-tests-task-signing
+Depends:
+ ca-certificates,
+ debusine-client,
+ debusine-server,
+ debusine-signing,
+ nginx,
+ postgresql,
+ redis-server,
+ sbsigntool [amd64 arm64 armhf i386 riscv64],
+ ssl-cert,
+ sudo,
+Restrictions: allow-stderr, needs-root, isolation-container
+
 Tests: integration-tests-generic
 Depends:
+ ca-certificates,
  debusine-client,
  debusine-server,
  debusine-worker,
  nginx,
  postgresql,
  redis-server,
+ ssl-cert,
  sudo,
 Restrictions: allow-stderr, needs-root
