=== debian/changelog ===
debusine (0.5.0~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Colin Watson <cjwatson@debian.org>  Fri, 06 Sep 2024 10:38:14 +0100

debusine (0.5.0) unstable; urgency=medium

  * New release.  Highlights:
    - Improvements with the aim of making debusine usable as a build daemon.
    - Progress towards making debusine usable by security teams.
    - Provide a more attractive and consistent UI for artifacts and work
      requests.
    - Make task-killing tests more reliable (closes: #1077903).

 -- Colin Watson <cjwatson@debian.org>  Tue, 03 Sep 2024 10:26:12 +0100
