## debusine 0.5.0

=== debian/control ===
--- 
+++ 
@@ -6,49 +6,50 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- dh-sequence-sphinxdoc,
- graphviz,
- libjs-jquery-isonscreen,
- libjs-jquery-tablesorter,
- libjs-jquery-throttle-debounce,
- openssl,
- postgresql,
+ dh-sequence-sphinxdoc <!nodoc>,
+ graphviz <!nodoc>,
+ libjs-jquery-isonscreen <!nodoc>,
+ libjs-jquery-tablesorter <!nodoc>,
+ libjs-jquery-throttle-debounce <!nodoc>,
+ openssl <!nocheck>,
+ postgresql <!nocheck>,
  pybuild-plugin-pyproject,
- python3,
- python3-aiohttp,
- python3-celery,
- python3-channels-redis,
- python3-coverage,
- python3-daphne,
- python3-dateutil,
- python3-debian,
- python3-django (>= 2:3.2),
- python3-django-celery-results,
- python3-django-channels,
- python3-djangorestframework,
- python3-doc,
- python3-email-validator,
- python3-fasteners,
- python3-jsonpath-rw,
- python3-jwcrypto,
- python3-lxml,
- python3-nacl,
- python3-psutil,
- python3-psycopg2,
- python3-pydantic,
- python3-requests,
- python3-requests-oauthlib,
- python3-requests-toolbelt,
- python3-responses,
- python3-setuptools,
- python3-sphinx,
- python3-sphinx-copybutton,
- python3-sphinx-rtd-theme,
- python3-tabulate,
- python3-tenacity,
- python3-yaml,
- redis-server,
- sbsigntool [amd64 arm64 armhf i386 riscv64],
+ python3 <!nocheck>,
+ python3-aiohttp <!nodoc>,
+ python3-celery <!nodoc>,
+ python3-channels-redis <!nodoc>,
+ python3-coverage <!nocheck>,
+ python3-daphne <!nodoc>,
+ python3-dateutil <!nocheck>,
+ python3-debian <!nodoc>,
+ python3-django (>= 2:3.2) <!nodoc>,
+ python3-django-celery-results <!nodoc>,
+ python3-django-channels <!nodoc>,
+ python3-djangorestframework <!nodoc>,
+ python3-doc <!nocheck>,
+ python3-email-validator <!nodoc>,
+ python3-fasteners <!nodoc>,
+ python3-hatchling,
+ python3-jsonpath-rw <!nodoc>,
+ python3-jwcrypto <!nocheck>,
+ python3-lxml <!nocheck>,
+ python3-nacl <!nocheck>,
+ python3-psutil <!nocheck>,
+ python3-psycopg2 <!nodoc>,
+ python3-pydantic <!nodoc>,
+ python3-pygments <!nodoc>,
+ python3-requests <!nocheck>,
+ python3-requests-oauthlib <!nocheck>,
+ python3-requests-toolbelt <!nodoc>,
+ python3-responses <!nocheck>,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-copybutton <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
+ python3-tabulate <!nocheck>,
+ python3-tenacity <!nodoc>,
+ python3-yaml <!nodoc>,
+ redis-server <!nocheck>,
+ sbsigntool [amd64 arm64 armhf i386 riscv64] <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://salsa.debian.org/freexian-team/debusine
 Vcs-Browser: https://salsa.debian.org/freexian-team/debusine
@@ -105,7 +106,9 @@
 Architecture: all
 Depends:
  adduser,
+ arch-test,
  daphne,
+ dbconfig-pgsql | dbconfig-no-thanks,
  python3-debusine-server (= ${source:Version}),
  ${misc:Depends},
  ${python3:Depends},
@@ -138,12 +141,12 @@
 Architecture: all
 Depends:
  adduser,
+ arch-test,
  python3-debusine (= ${source:Version}),
  udev,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
- arch-test,
  autopkgtest,
  debootstrap,
  debos,
@@ -170,8 +173,11 @@
 Package: debusine-signing
 Architecture: all
 Depends:
+ arch-test,
+ dbconfig-pgsql | dbconfig-no-thanks,
  openssl,
  python3-debusine-signing (= ${source:Version}),
+ python3-gpg,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
