=== debian/tests/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 
 Tests: unit-tests-server
 Depends:
+ dbconfig-no-thanks,
  debusine-server,
  postgresql,
  python3-lxml,
@@ -23,6 +24,7 @@
 
 Tests: unit-tests-signing
 Depends:
+ dbconfig-no-thanks,
  debusine-signing,
  postgresql,
  python3-cryptography,
@@ -74,17 +76,21 @@
  debusine-client,
  debusine-server,
  debusine-signing,
+ debusine-worker,
+ mmdebstrap,
  nginx,
  postgresql,
  redis-server,
  sbsigntool [amd64 arm64 armhf i386 riscv64],
  ssl-cert,
  sudo,
-Restrictions: allow-stderr, needs-root, isolation-container
+ uidmap,
+Restrictions: allow-stderr, needs-root, isolation-container, needs-internet
 
 Tests: integration-tests-generic
 Depends:
  ca-certificates,
+ dbconfig-no-thanks,
  debusine-client,
  debusine-server,
  debusine-worker,
@@ -93,4 +99,4 @@
  redis-server,
  ssl-cert,
  sudo,
-Restrictions: allow-stderr, needs-root
+Restrictions: allow-stderr, needs-root, isolation-container
