## debusine 0.6.0

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	$(PYTHON_ENVIRONMENT) python3 -m coverage run -m unittest discover debusine.utils $(VERBOSE_OPTION_TESTS)
 	python3 -m coverage combine
 	python3 -m coverage html
-	python3 -m coverage report -m | sed -e 's/^TOTAL         /TOTAL COVERAGE/'
+	python3 -m coverage report --precision=2 --show-missing --skip-covered $(if $(TOTAL_COVERAGE),| perl -pe '$$total = $$1 if /^TOTAL .* (\d+(?:\.\d+)?%)/; END { print "TOTAL COVERAGE $$total\n" }')
 
 css:
 	( \
