=== debian/changelog ===
debusine (0.6.0) unstable; urgency=medium

  * New release.  Highlights:
    - Add system for coordinating multiple sub-workflows.
    - Add autopkgtest workflow.
    - Add package upload workflow.
  * Debconf translations:
    - German (thanks, Christoph Brinkhaus; closes: #1081125).
    - Spanish (thanks, Camaleón; closes: #1081762).

 -- Colin Watson <cjwatson@debian.org>  Thu, 10 Oct 2024 20:31:52 +0100
