=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ devscripts,
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
  graphviz <!nodoc>,
@@ -19,6 +20,7 @@
  python3-celery <!nodoc>,
  python3-channels-redis <!nodoc>,
  python3-coverage <!nocheck>,
+ python3-cryptography <!nocheck>,
  python3-daphne <!nodoc>,
  python3-dateutil <!nocheck>,
  python3-debian <!nodoc>,
@@ -28,15 +30,18 @@
  python3-djangorestframework <!nodoc>,
  python3-doc <!nocheck>,
  python3-email-validator <!nodoc>,
+ python3-fabric <!nocheck>,
  python3-fasteners <!nodoc>,
  python3-hatchling,
  python3-jsonpath-rw <!nodoc>,
  python3-jwcrypto <!nocheck>,
  python3-lxml <!nocheck>,
  python3-nacl <!nocheck>,
+ python3-paramiko <!nocheck>,
  python3-psutil <!nocheck>,
  python3-psycopg2 <!nodoc>,
  python3-pydantic <!nodoc>,
+ python3-pyftpdlib <!nocheck>,
  python3-pygments <!nodoc>,
  python3-requests <!nocheck>,
  python3-requests-oauthlib <!nocheck>,
@@ -181,6 +186,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
+ devscripts,
  sbsigntool,
 Description: Signing service for debusine
  Debusine is a general purpose software factory tailored to the needs of a
