=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 %:
 	dh $@ --buildsystem=pybuild
 
+ifeq (,$(filter $(DEB_BUILD_OPTIONS),nodoc))
 execute_after_dh_auto_build:
 	bin/quick-setup.sh create_directories # so data/logs exist, needed during the documentation building step
 	# LANG settings to work around a bug in Python: https://github.com/python/cpython/issues/93251
@@ -16,6 +17,7 @@
 	LANG= LC_ALL= LANGUAGE= PYTHONPATH=. python3 -m sphinx --no-color -bhtml docs/ build/html # HTML generator
 	sed -i -e "s|/usr/share/doc/python3-doc/html|https://docs.python.org/|" docs/conf.py
 	# LANG= LC_ALL= LANGUAGE= PYTHONPATH=. python3 -m sphinx --no-color -bman docs/ build/man # Manpage generator
+endif
 
 override_dh_auto_test:
 	# XXX: Disable tests as they require postgresql and redis to run
@@ -32,6 +34,7 @@
 	CONFIG_DEST_PACKAGED_DIR=/etc/debusine/server; \
 	CONFIG_DEST_DIR=debian/tmp/$$CONFIG_DEST_PACKAGED_DIR; \
 	mkdir -p "$$CONFIG_DEST_DIR"; \
+	rm "$$CONFIG_SRC_DIR/db_postgresql.py"; \
 	rm "$$CONFIG_SRC_DIR/selected.py"; \
 	mv "$$CONFIG_SRC_DIR/"* "$$CONFIG_DEST_DIR"; \
 	rmdir "$$CONFIG_SRC_DIR"; \
@@ -43,6 +46,7 @@
 	CONFIG_DEST_PACKAGED_DIR=/etc/debusine/signing; \
 	CONFIG_DEST_DIR=debian/tmp/$$CONFIG_DEST_PACKAGED_DIR; \
 	mkdir -p "$$CONFIG_DEST_DIR"; \
+	rm "$$CONFIG_SRC_DIR/db_postgresql.py"; \
 	rm "$$CONFIG_SRC_DIR/selected.py"; \
 	mv "$$CONFIG_SRC_DIR/"* "$$CONFIG_DEST_DIR"; \
 	rmdir "$$CONFIG_SRC_DIR"; \
@@ -50,10 +54,12 @@
 	ln -s --relative "$$CONFIG_DEST_DIR/production.py" "$$CONFIG_DEST_DIR/selected.py"
 
 override_dh_python3:
-	dh_python3 --package=python3-debusine-server --requires=debusine.egg-info/requires.txt --depends-section=server
-	dh_python3 --package=python3-debusine-signing --requires=debusine.egg-info/requires.txt --depends-section=signing
-	dh_python3 --package=python3-debusine --requires=debusine.egg-info/requires.txt
+	dh_python3 --package=python3-debusine-server --depends-section=server
+	dh_python3 --package=python3-debusine-signing --depends-section=signing
+	dh_python3 --package=python3-debusine
 	dh_python3 --no-package=python3-debusine --no-package=python3-debusine-server --no-package=python3-debusine-signing
+	rm -rf debian/python3-debusine-server/usr/lib/python3*/dist-packages/debusine-*.dist-info
+	rm -rf debian/python3-debusine-signing/usr/lib/python3*/dist-packages/debusine-*.dist-info
 
 execute_after_dh_installsystemd:
 	dh_installsystemd --package=debusine-server \
@@ -74,3 +80,7 @@
 	dh_installsystemd --package=debusine-server --no-start \
 		--name=debusine-server-monthly-cleanup \
 		debusine-server-monthly-cleanup.service
+	dh_installsystemd --package=debusine-server \
+		--name=debusine-server-migrate
+	dh_installsystemd --package=debusine-signing \
+		--name=debusine-signing-migrate
