=== debian/tests/control ===
--- 
+++ 
@@ -19,6 +19,8 @@
  debusine-server,
  postgresql,
  python3-lxml,
+ python3-paramiko,
+ python3-pyftpdlib,
  redis-server,
 Restrictions: allow-stderr, needs-root
 
@@ -26,6 +28,7 @@
 Depends:
  dbconfig-no-thanks,
  debusine-signing,
+ devscripts,
  postgresql,
  python3-cryptography,
 Restrictions: allow-stderr, needs-root
