## debusine 0.7.2~bpo12+1

=== debian/changelog ===
debusine (0.7.2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Colin Watson <cjwatson@debian.org>  Mon, 18 Nov 2024 08:44:56 +0100

debusine (0.7.2) unstable; urgency=medium

  * Use hello from bookworm in piuparts integration test.

 -- Colin Watson <cjwatson@debian.org>  Wed, 13 Nov 2024 10:58:25 +0000

debusine (0.7.1) unstable; urgency=medium

  * Fetch packages from matching suites in integration tests.

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Nov 2024 20:49:55 +0000

debusine (0.7.0) unstable; urgency=medium

  * New release.  Highlights:
    - Rework URLs to allow for scopes.
    - Add permissions framework and several initial checks.
    - Add several workflows, including a debian_pipeline workflow.
  * Make sure $HOME of debusine-* users is owned by the user.
  * Debconf translations:
    - Dutch (thanks, Frans Spiesschaert; closes: #1087216).

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Nov 2024 10:46:56 +0000
