=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  python3-daphne <!nodoc>,
  python3-dateutil <!nocheck>,
  python3-debian <!nodoc>,
- python3-django (>= 2:3.2) <!nodoc>,
+ python3-django (>= 3:4.2) <!nodoc>,
  python3-django-celery-results <!nodoc>,
  python3-django-channels <!nodoc>,
  python3-djangorestframework <!nodoc>,
@@ -44,6 +44,7 @@
  python3-pyftpdlib <!nocheck>,
  python3-pygments <!nodoc>,
  python3-requests <!nocheck>,
+ python3-requests-file <!nocheck>,
  python3-requests-oauthlib <!nocheck>,
  python3-requests-toolbelt <!nodoc>,
  python3-responses <!nocheck>,
@@ -80,7 +81,7 @@
 Depends:
  python3-debusine (= ${source:Version}),
  python3-debusine-signing (= ${source:Version}),
- python3-django (>= 2:3.2),
+ python3-django (>= 3:4.2),
  ${misc:Depends},
  ${python3:Depends},
 Description: Server part of the Python library for debusine
