## debusine 0.8.0

=== debian/changelog ===
debusine (0.8.0) unstable; urgency=medium

  * New release.  Highlights:
    - Enforce permissions in many more places.
    - Reorganize web UI URLs around scopes and workspaces.
    - Add package_publish and reverse_dependencies_autopkgtest workflows.

 -- Colin Watson <cjwatson@debian.org>  Thu, 26 Dec 2024 00:07:47 +0000
