=== debian/control ===
--- 
+++ 
@@ -32,6 +32,7 @@
  python3-email-validator <!nodoc>,
  python3-fabric <!nocheck>,
  python3-fasteners <!nodoc>,
+ python3-hatch-vcs,
  python3-hatchling,
  python3-jsonpath-rw <!nodoc>,
  python3-jwcrypto <!nocheck>,
@@ -48,10 +49,10 @@
  python3-requests-oauthlib <!nocheck>,
  python3-requests-toolbelt <!nodoc>,
  python3-responses <!nocheck>,
+ python3-rich <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
- python3-tabulate <!nocheck>,
  python3-tenacity <!nodoc>,
  python3-yaml <!nodoc>,
  redis-server <!nocheck>,
