=== debian/tests/control ===
--- 
+++ 
@@ -33,10 +33,11 @@
  python3-cryptography,
 Restrictions: allow-stderr, needs-root
 
-Tests: integration-tests-tasks-mmdebstrap-autopkgtest-sbuild-lintian-piuparts-blhc
+Tests: integration-tests-tasks-mmdebstrap-autopkgtest-sbuild-lintian-piuparts-blhc-debdiff
 Depends:
  autopkgtest,
  ca-certificates,
+ debian-archive-keyring,
  debootstrap,
  debusine-client,
  debusine-server,
@@ -71,11 +72,12 @@
  ssl-cert,
  sudo,
  xz-utils,
-Restrictions: allow-stderr, needs-root, isolation-container, needs-internet
+Restrictions: allow-stderr, needs-root, isolation-container, skippable, needs-internet
 
 Tests: integration-tests-task-signing
 Depends:
  ca-certificates,
+ debian-archive-keyring,
  debusine-client,
  debusine-server,
  debusine-signing,
@@ -99,7 +101,16 @@
  debusine-worker,
  nginx,
  postgresql,
+ python3-lxml,
  redis-server,
  ssl-cert,
  sudo,
 Restrictions: allow-stderr, needs-root, isolation-container
+
+Features: test-name=hint-testsuite-triggers
+Test-Command: false
+Depends:
+ libslirp-helper,
+ systemd-resolved,
+ user-mode-linux,
+Restrictions: hint-testsuite-triggers
