## debusine 0.8.1~bpo12+2

=== debian/changelog ===
debusine (0.8.1~bpo12+2) bookworm-backports; urgency=medium

  * Fix version handling for backports.

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 Jan 2025 13:32:05 +0000

debusine (0.8.1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Colin Watson <cjwatson@debian.org>  Thu, 16 Jan 2025 09:22:27 +0000

debusine (0.8.1) unstable; urgency=medium

  * New release.
    - Use an in-memory channel layer for tests, rather than Redis (closes:
      #1092587).

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Jan 2025 16:29:22 +0000
